We just released our native n8n integration!ยป Try now
OnlyFans API
Stored Tracking Links

List Stored Tracking Links

List all stored tracking links from the OnlyFansAPI Cache. This is a free endpoint that does not call the OnlyFans API.

GET
/api/{account}/stored/tracking-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

limit?integer

The number of tracking links to return. Default 10

offset?integer

The offset used for pagination. Default 0

filter[include_smart_links]?boolean

Include tracking links created by Smart Links. Default false

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/stored/tracking-links?limit=10&offset=0&filter%5Binclude_smart_links%5D=false"
{
  "data": {
    "list": [
      {
        "id": 123456,
        "campaignCode": 123,
        "campaignName": "Example Campaign - IG Bio SFS",
        "campaignUrl": "https://onlyfans.com/USERNAME/c123",
        "subscribersCount": 10,
        "clicksCount": 100,
        "createdAt": "2025-01-01T00:00:00+00:00",
        "endDate": null,
        "tags": [
          "Instagram",
          "Twitter"
        ],
        "revenue": {
          "total": 20,
          "revenuePerSubscriber": 2,
          "revenuePerClick": 0.2,
          "spendersCount": 1,
          "calculatedAt": "2025-01-01T00:00:00+00:00",
          "isLoading": false
        },
        "cost": {
          "inputMode": null,
          "inputValue": null,
          "perSub": null,
          "perPromo": null,
          "subscriberSourceCount": null
        },
        "links": {
          "related": {
            "subscribers": "https://app.onlyfansapi.com/api/acct_XXXXXXX/tracking-links/123456/subscribers",
            "spenders": "https://app.onlyfansapi.com/api/acct_XXXXXXX/tracking-links/123456/spenders"
          }
        }
      }
    ],
    "hasMore": true
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/stored/tracking-links?offset=10&limit=10"
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 9529,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 999,
      "remaining_day": 49999
    }
  }
}